#version 400 core

#ifdef GL_ES
precision mediump float;
#endif

in vec3 frag_position;
in vec3 frag_normal;
in vec2 frag_uv;

out vec4 frag_color;

uniform float m_time;
uniform vec2 window_dimensions;

uniform vec3 light_position; 
uniform vec3 light_color;
uniform vec3 view_position;


float random (vec2 st) {
    return fract(sin(dot(st.xy,
                         vec2(12.9898,78.233)))*
        43758.5453123);
}

void main()
{
	
	//vec3 color = vec3(1.0, 0.0, 0.0);
                                        
	//vec2 st =  gl_FragCoord.xy / window_dimensions;

	//st *= 100.0;
	
	//vec2 ipos = floor(st);

	//color = vec3(random (ipos));

	//frag_color = vec4(color.x,color.y*(m_time/100),color.y, 1.0f);
	

	vec2 uv = gl_FragCoord.xy / window_dimensions;

	vec2 pos = (uv.xy-0.5);

	//vec2 circle = ((pos.xy*pos.xy+sin(uv.x*18.0+m_time)/25.0*sin(uv.y*7.0+m_time*1.5)/1.0)+uv.x*sin(m_time)/16.0+uv.y*sin(m_time*1.2)/16.0);

	vec2 cir = ((pos.xy*pos.xy+sin(uv.x*18.0+m_time)/25.0*sin(uv.y*7.0+m_time*1.5)/1.0)+uv.x*sin(m_time)/16.0+uv.y*sin(m_time*1.2)/16.0);

	float bubbles = (sqrt(abs(cir.x+cir.y*0.5)*25.0)*5.0);

	frag_color = vec4(sin(bubbles*1.25+2.0),
						abs(sin(bubbles*1.0-1.0)-sin(bubbles)),
						abs(sin(bubbles)*1.0),
						1.0);
}