#version 430

layout (location = 0) in vec4 position;

uniform mat4 model;
uniform mat4 view;
uniform mat4 projection;

out vData {
	float TTL1;
} vertex;

void main() {
	//vec3 frag_position = vec3(mat4(1.0f) * vec4(position.xyz, 1.0f));
	//gl_Position = projection * view * vec4(frag_position, 1.0f);
	gl_Position = view * vec4(position.xyz, 1.0f);
	vertex.TTL1 = position.w;
}